Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.plaf.basic
Class BasicTreeUI.ComponentHandler

    java.lang.Object
      |
      +--java.awt.event.ComponentAdapter
            |
            +--javax.swing.plaf.basic.BasicTreeUI.ComponentHandler

All Implemented Interfaces:
  ActionListener, ComponentListener, EventListener

Enclosing class:
  BasicTreeUI

public class BasicTreeUI.ComponentHandler
extends ComponentAdapter
implements ActionListener

Updates the preferred size when scrolling (if necessary).

Field Summary
`protected JScrollBar` | `scrollBar` ScrollBar that is being adjusted.
`protected Timer` | `timer` Timer used when inside a scrollpane and the scrollbar is adjusting.

Constructor Summary
`BasicTreeUI.ComponentHandler()`

Method Summary
`void` | `actionPerformed(ActionEvent ae)` Public as a result of Timer.
`void` | `componentMoved(ComponentEvent e)` Invoked when the component's position changes.
`protected JScrollPane` | `getScrollPane()` Returns the JScrollPane housing the JTree, or null if one isn't found.
`protected void` | `startTimer()` Creates, if necessary, and starts a Timer to check if need to resize the bounds.

Methods inherited from class java.awt.event.ComponentAdapter
`componentHidden, componentResized, componentShown`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### timer

    protected Timer timer

  Timer used when inside a scrollpane and the scrollbar is adjusting.

### scrollBar

    protected JScrollBar scrollBar

  ScrollBar that is being adjusted.

Constructor Detail

### BasicTreeUI.ComponentHandler

    public BasicTreeUI.ComponentHandler()

Method Detail

### componentMoved

    public void componentMoved(ComponentEvent e)

  Description copied from class: `ComponentAdapter`
  Invoked when the component's position changes.
  Overrides:
    `componentMoved` in class `ComponentAdapter`

### startTimer

    protected void startTimer()

  Creates, if necessary, and starts a Timer to check if need to resize the bounds.

### getScrollPane

    protected JScrollPane getScrollPane()

  Returns the JScrollPane housing the JTree, or null if one isn't found.

### actionPerformed

    public void actionPerformed(ActionEvent ae)

  Public as a result of Timer. If the scrollBar is null, or not adjusting, this stops the timer and updates the sizing.
  Specified by:
    `actionPerformed` in interface `ActionListener`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2001 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.